services:
  _defaults:
    public: true

  # Product CSV Exporter
  PrestaShop\PrestaShop\Core\Product\ProductCsvExporter:
    arguments:
      - '@translator'
      - '@prestashop.core.admin.data_provider.product_interface'
    deprecated: ~

  prestashop.core.product.csv_exporter:
    alias: PrestaShop\PrestaShop\Core\Product\ProductCsvExporter
    deprecated: ~

  PrestaShop\PrestaShop\Core\Product\Combination\Generator\CombinationGenerator: ~
  PrestaShop\PrestaShop\Core\Product\Combination\Generator\CombinationGeneratorInterface: '@PrestaShop\PrestaShop\Core\Product\Combination\Generator\CombinationGenerator'

  PrestaShop\PrestaShop\Core\Product\Combination\NameBuilder\CombinationNameBuilder:
    public: false
    arguments:
      - '@translator'
      # separator between attributes (ex : size: M, color: blue), to be replaced by a configuration parameter (env or php const)
      # https://github.com/PrestaShop/PrestaShop/issues/28512
      - ', '
      - '@=service("prestashop.adapter.legacy.configuration").get("PS_ATTRIBUTE_ANCHOR_SEPARATOR")'

  PrestaShop\PrestaShop\Core\Product\Combination\NameBuilder\CombinationNameBuilderInterface: '@PrestaShop\PrestaShop\Core\Product\Combination\NameBuilder\CombinationNameBuilder'
